
QGIS Application - Bug report #2559

I want to save a Projekt, then qGIS crashes and in 2 from 3 cases the project is ruined

2010-03-16 12:22 PM - fbeyerbach -

Status: Closed

Priority: Low

Assignee:

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12619

Description

Process:         Qgis r5507

Path:            /Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/MacOS/Qgis

Identifier:      org.qgis.qgis

Version:         1.4.0 (1.4.0-Enceladus)

Code Type:       X86 (Native)

Parent Process:  launchd r195

Date/Time:       2010-03-16 20:13:05.932 +0100

OS Version:      Mac OS X 10.6.2 (10C540)

Report Version:  6

Interval Since Last Report:          159736 sec

Crashes Since Last Report:           35

Per-App Interval Since Last Report:  4833 sec

Per-App Crashes Since Last Report:   14

Anonymous UUID:                      D3A9B15E-5C96-46E2-890A-378B63E1337A

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)

Exception Codes: KERN_INVALID_ADDRESS at 0x00000000e8241c89

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Thread 0 Crashed:  Dispatch queue: com.apple.main-thread

0   ???                               0xe8241c89 0 + 3894680713

1   libqgis_core.dylib                0x026583e3 [[QgsVectorLayer]]::writeXml(QDomNode&, QDomDocument&) + 765

2   libqgis_core.dylib                0x02640b0e [[QgsMapLayer]]::writeXML(QDomNode&, QDomDocument&) + 3852

3   libqgis_core.dylib                0x02643fec [[QgsProject]]::write() + 2488

4   org.qgis.qgis                     0x0001762d [[QgisApp]]::fileSave() + 1379

5   org.qgis.qgis                     0x001722e8 [[QgisApp]]::qt_metacall(QMetaObject::Call, int, void**) + 1610

6   [[QtCore]]                            0x0181018c QMetaObject::activate(QObject*, int, int, void**) + 556

7   [[QtGui]]                             0x019c904c QAction::triggered(bool) + 76

8   [[QtGui]]                             0x019cb1af QAction::activate(QAction::ActionEvent) + 159

9   [[QtGui]]                             0x01e30a76 QToolButton::nextCheckState() + 38

10  [[QtGui]]                             0x01d5a8ea QAbstractButtonPrivate::click() + 74

11  [[QtGui]]                             0x01d5ab70 QAbstractButton::mouseReleaseEvent(QMouseEvent*) + 128

12  [[QtGui]]                             0x01e309bc QToolButton::mouseReleaseEvent(QMouseEvent*) + 28

13  [[QtGui]]                             0x01a1ca3c QWidget::event(QEvent*) + 3628

14  [[QtGui]]                             0x01d5b3d3 QAbstractButton::event(QEvent*) + 83

15  [[QtGui]]                             0x01e31a00 QToolButton::event(QEvent*) + 64

16  [[QtGui]]                             0x019d03bf QApplicationPrivate::notify_helper(QObject*, QEvent*) + 191
17  [[QtGui]]                             0x019d7b2d QApplication::notify(QObject*, QEvent*) + 3405

18  libqgis_core.dylib                0x0264ceba [[QgsApplication]]::notify(QObject*, QEvent*) + 46

19  [[QtCore]]                            0x017fddf2 QCoreApplication::notifyInternal(QObject*, QEvent*) + 98

20  [[QtGui]]                             0x01967f9b QApplicationPrivate::globalEventProcessor(OpaqueEventHandlerCallRef*,

[[OpaqueEventRef]]*, void*) + 5627

21  com.apple.HIToolbox               0x96076e29 [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*,

[[HandlerCallRec]]*) + 1567

22  com.apple.HIToolbox               0x960760f0 [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 411

23  com.apple.HIToolbox               0x96098981 [[SendEventToEventTarget]] + 52

24  com.apple.HIToolbox               0x960aa457 [[ToolboxEventDispatcherHandler]](OpaqueEventHandlerCallRef*, [[OpaqueEventRef]]*,

void*) + 1257

25  com.apple.HIToolbox               0x9607727a [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*,

[[HandlerCallRec]]*) + 2672

26  com.apple.HIToolbox               0x960760f0 [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 411

27  com.apple.HIToolbox               0x96098981 [[SendEventToEventTarget]] + 52

28  [[QtGui]]                             0x0197bf94 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 628

29  [[QtCore]]                            0x017fd391 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 65

30  [[QtCore]]                            0x017fd55d QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 189

31  [[QtCore]]                            0x018012ce QCoreApplication::exec() + 174

32  org.qgis.qgis                     0x0000e852 main + 7788

33  org.qgis.qgis                     0x0000c2d1 start + 53

Thread 1:  Dispatch queue: com.apple.libdispatch-manager

0   libSystem.B.dylib                 0x93d310ea kevent + 10

1   libSystem.B.dylib                 0x93d31804 _dispatch_mgr_invoke + 215

2   libSystem.B.dylib                 0x93d30cc3 _dispatch_queue_invoke + 163

3   libSystem.B.dylib                 0x93d30a68 _dispatch_worker_thread2 + 234

4   libSystem.B.dylib                 0x93d304f1 _pthread_wqthread + 390

5   libSystem.B.dylib                 0x93d30336 start_wqthread + 30

Thread 2:

0   libSystem.B.dylib                 0x93d29856 select$DARWIN_EXTSN + 10

1   com.apple.CoreFoundation          0x95690ddd +CFSocketManager + 1085

2   libSystem.B.dylib                 0x93d37fbd _pthread_start + 345

3   libSystem.B.dylib                 0x93d37e42 thread_start + 34

Thread 3:

0   libSystem.B.dylib                 0x93d0a922 semaphore_wait_signal_trap + 10

1   libSystem.B.dylib                 0x93d3845c _pthread_cond_wait + 1089

2   libSystem.B.dylib                 0x93d81503 pthread_cond_wait + 48

3   [[QtCore]]                            0x0170d2f6 QWaitCondition::wait(QMutex*, unsigned long) + 278

4   [[QtNetwork]]                         0x0243b8e6 QHostInfoAgent::run() + 566

5   [[QtCore]]                            0x0170bebf QThreadPrivate::start(void*) + 191

6   libSystem.B.dylib                 0x93d37fbd _pthread_start + 345

7   libSystem.B.dylib                 0x93d37e42 thread_start + 34

Thread 4:

0   libSystem.B.dylib                 0x93d30182 +workq_kernreturn + 10

1   libSystem.B.dylib                 0x93d30718 _pthread_wqthread + 941

2   libSystem.B.dylib                 0x93d30336 start_wqthread + 30
Thread 0 crashed with X86 Thread State (32-bit):

  eax: 0xbfffe16c  ebx: 0x02671b63  ecx: 0x006c0070  edx: 0x000a2d40

  edi: 0xbfffe1bc  esi: 0xbfffe1bc  ebp: 0xbfffe178  esp: 0xbfffe14c

   ss: 0x0000001f  efl: 0x00010202  eip: 0xe8241c89   cs: 0x00000017

   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037

  cr2: 0xe8241c89

Binary Images:

    0x1000 -   0x330fe3 org.qgis.qgis 1.4.0 (1.4.0-Enceladus) <DA87BAC1-9E8F-0F6B-F1E1-11A5A35D82AF>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/MacOS/Qgis

  0x437000 -   0xf51fff +org.gdal.gdal 1.6.3 (GDAL/OGR 1.6.3-1) <48E0A54C-E484-1DB8-A703-F1E3795EBA57>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Frameworks/GDAL.framework/Versions/1.6/GDAL

 0x140b000 -  0x1438ff7 +org.maptools.proj 4.7.0 (PROJ 4.7.0-1) <A0843E4A-F80C-6BB8-0271-C06C9D98AC0E>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Frameworks/PROJ.framework/Versions/4/PROJ

 0x1442000 -  0x1513ff3 +org.osgeo.geos 3.2.0 (GEOS 3.2.0-1) <BFB9E3FA-9E07-2C90-C610-727991475521>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Frameworks/GEOS.framework/Versions/3/GEOS

 0x15d7000 -  0x16b7fe7 +org.sqlite.sqlite3 3.6.21 (SQLite3 3.6.21-1) <163C6C98-F1DA-6AC5-5B32-5B15F1EA379C>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Frameworks/SQLite3.framework/Versions/3/SQLite3

 0x16cf000 -  0x16edfe7 +libpq.dylib ? (?) <F1930279-5A8C-50E9-3BF0-4C7BF2C6CAE9>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/MacOS/lib/libpq.dylib

 0x16f7000 -  0x18ccff3 +QtCore ? (?) <75B78DBE-081A-14CB-5D76-242DA98F87D9>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Frameworks/QtCore.framework/Versions/4/QtCore

 0x194f000 -  0x214dfe2 +QtGui ? (?) <12BFC8C8-C342-1A0B-9F19-0A97C7E2DD83>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Frameworks/QtGui.framework/Versions/4/QtGui

 0x23df000 -  0x24c0ff2 +QtNetwork ? (?) <40CF52E6-B238-7D7E-6583-0427735D5175>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Frameworks/QtNetwork.framework/Versions/4/QtNetwork

 0x2516000 -  0x2564fff +QtXml ? (?) <0B27FB52-8D3E-F9FF-0EA2-BA784B2AEA0E>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Frameworks/QtXml.framework/Versions/4/QtXml

 0x2585000 -  0x25c7fff +QtSvg ? (?) <899D98D4-7197-9C96-1FDA-668BC3B10801>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Frameworks/QtSvg.framework/Versions/4/QtSvg

 0x25e6000 -  0x2611ff5 +QtSql ? (?) <20DB88EE-1AE1-B292-691D-1240519EB48F>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Frameworks/QtSql.framework/Versions/4/QtSql

 0x2628000 -  0x27dbfe7 +libqgis_core.dylib ? (?) <C9F40C72-1ED3-EE50-5F17-1A35B32F1D9D>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/MacOS/lib/libqgis_core.dylib

 0x288b000 -  0x2900ff3 +libqgis_gui.dylib ? (?) <AD9A2D2C-1623-463E-4495-AB0134D8470C>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/MacOS/lib/libqgis_gui.dylib

 0x294e000 -  0x298eff7  libiodbc.2.dylib ? (?) <11BC09C6-77FC-189E-F5C4-9517CCAA35AC> /usr/lib/libiodbc.2.dylib

 0x2998000 -  0x29a6ff7  libiodbcinst.2.dylib ? (?) <7A232C87-D5E4-6D0B-6216-5AACF8198EA8> /usr/lib/libiodbcinst.2.dylib

 0x29ac000 -  0x2a81fe7 +com.kyngchaos.UnixImageIO 1.1.0 (UnixImageIO 1.1.0) <27FDEA5A-2254-BEC0-27A3-A094D8B941D0>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Frameworks/UnixImageIO.framework/Versions/B/UnixImageIO

 0x2aac000 -  0x2adffe3 +libogdi.dylib ? (?) <21D98C1F-E98F-268C-B0E5-34FEBB5C28AE>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Frameworks/GDAL.framework/Versions/1.6/Libraries/libogdi.dylib

 0x2d94000 -  0x2db5ffb +libqjpeg.dylib ? (?) <11153160-186C-D513-D357-7CD4A6B0AF3F>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/plugins/imageformats/libqjpeg.dylib

 0x2dc1000 -  0x2dc3fff +com.Logitech.Control Center.Scroll Enhancer Loader 2.6.0 (2.6.0) /Library/InputManagers/LCC Scroll Enhancer

Loader/LCC Scroll Enhancer Loader.bundle/Contents/MacOS/LCC Scroll Enhancer Loader

 0x2dcb000 -  0x2dcdfff +com.Logitech.Control Center.Scroll Enhancer 2.6.0 (2.6.0) /Library/Application Support/Logitech/LCC Scroll

Enhancer.bundle/Contents/MacOS/LCC Scroll Enhancer

 0x2ded000 -  0x2dedff7  _functools.so ? (?) <7B02FDA4-18D1-C12C-C9B1-14EB28D9509A>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_functools.so

 0x2ff9000 -  0x2ffbff7  math.so ? (?) <0C41AF37-25FD-1EB3-D721-02CCFFC5D9B1>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/math.so

0x14d59000 - 0x14d6bff7  libTraditionalChineseConverter.dylib ? (?) <C4E0D62B-4D1A-8DAD-D10B-2C055AA0479C>
/System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib

0x14d6f000 - 0x14d7dfe7  libSimplifiedChineseConverter.dylib ? (?) <4C9CC2D9-2F13-4465-5447-2516FCD9255B>

/System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib

0x14df1000 - 0x14df5ffb +libmemoryprovider.so ? (?) <100B1CFE-DAE7-0F25-0D34-ADA72C1E48F9>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libmemoryprovider.so

0x15653000 - 0x15679fff  libssl.0.9.7.dylib ? (?) <924E1BF8-C24D-4A5C-3DB6-A85034392D19> /usr/lib/libssl.0.9.7.dylib

0x158b8000 - 0x158c2ffb +libcoordinatecaptureplugin.so ? (?) <6E36CC86-A803-46A3-832A-8C213430B308>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libcoordinatecaptureplugin.so

0x158cb000 - 0x158cdff7  _collections.so ? (?) <124972B9-EC3E-0532-2924-781E4E759F39>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_collections.so

0x15912000 - 0x1591bff7 +libcopyrightlabelplugin.so ? (?) <B169A687-52CE-BF28-4A5D-06F428369501>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libcopyrightlabelplugin.so

0x1592f000 - 0x1593bffb +libdelimitedtextplugin.so ? (?) <7FFE70B2-FF1D-2B58-9F6A-E33F2689A4B6>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libdelimitedtextplugin.so

0x15944000 - 0x1594bfe3 +libdelimitedtextprovider.so ? (?) <FF6CBB4D-BB09-3A0B-C26F-EA63E427C2D1>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libdelimitedtextprovider.so

0x15952000 - 0x15963fe7 +libinterpolationplugin.so ? (?) <0E71CDBF-69FF-F047-55EA-AD0EFBCF44CB>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libinterpolationplugin.so

0x1596f000 - 0x15976ffb +libqgispython.dylib ? (?) <935FAF7B-3E9E-179A-32AC-91F1E95C7869>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/MacOS/lib/libqgispython.dylib

0x19122000 - 0x1912cff7 +libnortharrowplugin.so ? (?) <A3BC4E87-4A2E-26B8-B18B-666723DAAF9E>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libnortharrowplugin.so

0x19136000 - 0x19140feb +libquickprintplugin.so ? (?) <92C0135B-554F-94A4-5FB7-41BBE6F12FBA>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libquickprintplugin.so

0x20751000 - 0x2075afe7 +librasterterrainplugin.so ? (?) <407C03D4-ABAA-7360-360F-2CD55472AF0F>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/librasterterrainplugin.so

0x21aff000 - 0x21b1dfeb +libdiagramoverlayplugin.so ? (?) <592C75DC-AC25-A2E6-DB59-6573ED83D2E7>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libdiagramoverlayplugin.so

0x21b33000 - 0x21b53ffb +libdxf2shpconverterplugin.so ? (?) <D805BAFD-7189-8CD8-8B0A-AE7CABBB334F>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libdxf2shpconverterplugin.so

0x21b64000 - 0x21b96ff7 +libevisplugin.so ? (?) <498492AD-B822-0906-3EEB-6816761513FB>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libevisplugin.so

0x21baa000 - 0x21bcdfff +libgeorefplugin.so ? (?) <F717B58D-ACE1-DAFD-753C-D02D262A7346>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libgeorefplugin.so

0x21be0000 - 0x21d41fe7 +org.gnu.gsl 1.13 (GSL 1.13-1) <B32DB0FF-2716-6CCA-5BD2-645F4823E2C4>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Frameworks/GSL.framework/Versions/1/GSL

0x21d8d000 - 0x21db8ff3 +libgpsimporterplugin.so ? (?) <E55AB21B-B835-B3CF-40F1-51952F16B676>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libgpsimporterplugin.so

0x21dc7000 - 0x21df8ff7 +libgpxprovider.so ? (?) <1C252150-F226-08E8-C0D0-644DA21F61CE>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libgpxprovider.so

0x21e0b000 - 0x21e3fffb +libqgis_analysis.dylib ? (?) <30953FD9-9B40-95F8-582C-FC8E6573532D>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/MacOS/lib/libqgis_analysis.dylib

0x21e52000 - 0x21e6cfe3 +liblabelingplugin.so ? (?) <13CF9701-82A1-0E32-D665-ADA8FC5ACA8A>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/liblabelingplugin.so

0x21e7c000 - 0x21e8cfeb +libogrconverterplugin.so ? (?) <D2704088-D0D6-C645-0780-35B80A3D3836>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libogrconverterplugin.so

0x21e96000 - 0x21ea9fef +libogrprovider.so ? (?) <B96A7891-E804-47B9-66D8-AA506818A4C1>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libogrprovider.so

0x21eb4000 - 0x21ec1feb +liboracleplugin.so ? (?) <6C13C8FC-F7B4-B9CF-E38F-7AA7567F8C93>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/liboracleplugin.so

0x21ecb000 - 0x21ee6feb +libosmprovider.so ? (?) <5EDCC060-9D3E-981F-EAC0-200B36C9E140>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libosmprovider.so

0x21ef4000 - 0x21f27ff3 +libpostgresprovider.so ? (?) <8A931ADF-CDA4-BECC-7963-520557F6E8C4>
/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libpostgresprovider.so

0x21f38000 - 0x21f43fef +libscalebarplugin.so ? (?) <21091453-83C6-22C0-AEE6-F800B4333B67>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libscalebarplugin.so

0x21f4c000 - 0x21f61ff3 +libspatialiteprovider.so ? (?) <C2BCC531-9AB7-75A1-E35E-594ACDB71EAC>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libspatialiteprovider.so

0x21f6a000 - 0x21fb4fe3 +libspitplugin.so ? (?) <8CF7968F-049D-04BE-71A0-CEA1C9A4E8D1>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libspitplugin.so

0x21fc5000 - 0x21fd5fff +libwfsplugin.so ? (?) <D491C3A6-BC10-4696-CB08-FB63E81F15D1>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libwfsplugin.so

0x21fe2000 - 0x2201afeb +libwfsprovider.so ? (?) <4E73E9C1-977A-A682-3580-720D98B39551>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libwfsprovider.so

0x2202d000 - 0x2204cfeb +libwmsprovider.so ? (?) <E6310920-9C19-E47E-B032-7046E9891EED>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/PlugIns/qgis/libwmsprovider.so

0x22059000 - 0x22140fef  org.python.python 2.6.1 (2.6.1) <99F1F7BA-7AFA-6069-4E43-11F97B892F65>

/System/Library/Frameworks/Python.framework/Versions/2.6/Python

0x2220b000 - 0x22217fe7 +sip.so ? (?) <AAD507CB-0C25-3E69-026E-FCFA00B5CA4E>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Resources/python/sip.so

0x2221e000 - 0x22369feb +QtCore.so ? (?) <EB72C7AA-D9FC-23C0-6B0D-80CDCEDE79DA>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Resources/python/PyQt4/QtCore.so

0x2244b000 - 0x229f3ff3 +QtGui.so ? (?) <DC54D58B-49A0-9E8F-F47B-B2C22A9743DD>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Resources/python/PyQt4/QtGui.so

0x22d87000 - 0x22db9fff +QtXml.so ? (?) <F49137DC-983D-5F07-8AC7-E35588C783D0>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Resources/python/PyQt4/QtXml.so

0x22df6000 - 0x22df9ff7  _struct.so ? (?) <1B840F13-9D5A-F97A-544A-88704BE77B7E>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_struct.so

0x22f00000 - 0x23024fef +core.so ? (?) <8C88C99A-63BA-77CF-8111-151E9781E1AA>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Resources/python/qgis/core.so

0x230da000 - 0x23174fe3 +gui.so ? (?) <CA5018DC-6141-94D3-AFEE-E9685EB30FA6>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Resources/python/qgis/gui.so

0x23216000 - 0x2321aff7  itertools.so ? (?) <0962C1B9-4F1A-00D4-568A-6051C4FA5326>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/itertools.so

0x23221000 - 0x2322afe7  datetime.so ? (?) <3F4DDFE9-5338-B249-65CF-29D07DEDB9C0>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/datetime.so

0x2329b000 - 0x2329eff7  operator.so ? (?) <3E1C892E-3C76-02BB-2A44-081AA5DE164D>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/operator.so

0x232a3000 - 0x232a4ff7  time.so ? (?) <3CEBCEB7-7331-0BDE-ED3F-AA41C079FF8A>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/time.so

0x232ea000 - 0x232ecff7  _csv.so ? (?) <3DBCAF40-6F59-4BEF-259F-1C2A7807563A>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_csv.so

0x232f2000 - 0x232f3ff7  cStringIO.so ? (?) <7FA5644E-4FA1-60EF-8322-5A15EAC0BED3>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/cStringIO.so

0x232f7000 - 0x232f9fe7  binascii.so ? (?) <0E5DD6E7-614C-27F6-B1B8-1A2D88D75D97>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/binascii.so

0x232fd000 - 0x232feff7  _random.so ? (?) <04AE7C48-ED14-5BBA-610B-3B95E115188C>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_random.so

0x23342000 - 0x23344ff7  select.so ? (?) <10E6E91E-A683-9CB8-B15C-8042ADDBB0B0>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/select.so

0x23349000 - 0x2334aff7  fcntl.so ? (?) <274D770C-18D8-6430-43C1-E242DD0E770D>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/fcntl.so

0x2334e000 - 0x2334fff7  icglue.so ? (?) <6CCAD988-2C1C-C2E6-EF36-7832CD6CB447>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/icglue.so

0x23353000 - 0x23355ff7  strop.so ? (?) <54CB8A3D-D17F-39A3-7809-990CFDB75945>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/strop.so
0x2335a000 - 0x2335dff7  _Res.so ? (?) <23532BCA-0F6E-5FB2-419C-4E502550BA49>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_Res.so

0x23363000 - 0x2336aff7  _File.so ? (?) <768E917D-C2A4-838C-F5D9-1849CBB0E796>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_File.so

0x23370000 - 0x23371ff7  [[MacOS]].so ? (?) <4B245CF7-4FD7-E5CB-969E-A66839EEF217>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/MacOS.so

0x23376000 - 0x233dbfe3 +QtNetwork.so ? (?) <910B012F-AEC2-11B9-D67B-214C9B95DB10>

/Applications/GIS/Qgis(standalone)-1.4.0-4-Snow.app/Contents/Resources/python/PyQt4/QtNetwork.so

0x23458000 - 0x23460ff7  _sqlite3.so ? (?) <F72E5921-7A41-AEC0-C28C-C9C768AA933B>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_sqlite3.so

0x23469000 - 0x234e6ff7  unicodedata.so ? (?) <524F5299-0E7F-F253-8007-F6C7C3A8A587>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/unicodedata.so

0x2357a000 - 0x2357cff7  zlib.so ? (?) <5FA9B9DF-DA2C-E5CC-0910-1AB1B82370E6>

/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/zlib.so

0x26f00000 - 0x26fb5fe7  libcrypto.0.9.7.dylib ? (?) <39CDB041-9DF5-01B1-4B33-03EC4CCA40B3> /usr/lib/libcrypto.0.9.7.dylib

0x8fe00000 - 0x8fe4162b  dyld 132.1 (?) <211AF0DD-42D9-79C8-BB6A-1F4BEEF4B4AB> /usr/lib/dyld

0x90003000 - 0x908e1ff7  com.apple.AppKit 6.6.3 (1038.25) <72A9AA47-8DCB-DB07-64F5-F837E98C62D8>

/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit

0x90965000 - 0x9098dff7  libxslt.1.dylib ? (?) <769EF4B2-C1AD-73D5-AAAD-1564DAEA77AF> /usr/lib/libxslt.1.dylib

0x9098e000 - 0x909a3fff  com.apple.ImageCapture 6.0 (6.0) <3F31833A-38A9-444E-02B7-17619CA6F2A0>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture

0x90a65000 - 0x90a73fe7  libz.1.dylib ? (?) <7B7A02AB-DA99-6180-880E-D28E4F9AA8EB> /usr/lib/libz.1.dylib

0x90a74000 - 0x90aa9ff7  libGLImage.dylib ? (?) <A6007BF7-BF3C-96DC-C435-849C6B88C58A>

/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib

0x90aaa000 - 0x9128d4b7  com.apple.CoreGraphics 1.536.12 (?) <263EB5FC-DEAD-7C5B-C486-EC86C173F952>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics

s

0x9128e000 - 0x9133cff3  com.apple.ink.framework 1.3.1 (105) <CA3FBDC3-4BBA-7BD9-0777-A7B0751292CD>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink

0x9133d000 - 0x91347ff7  libGL.dylib ? (?) <76A207FE-889A-CF1B-AF9A-795EEE5A463E>

/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib

0x91348000 - 0x91399ff7  com.apple.HIServices 1.8.0 (?) <B8EC13DB-A81A-91BF-8C82-66E840C64C91>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices

0x9139a000 - 0x913feffb  com.apple.htmlrendering 72 (1.1.4) <4D451A35-FAB6-1288-71F6-F24A4B6E2371>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering

0x91438000 - 0x9143bffb  com.apple.help 1.3.1 (41) <67F1F424-3983-7A2A-EC21-867BE838E90B>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help

0x9143c000 - 0x91458fe3  com.apple.openscripting 1.3.1 (?) <DA16DE48-59F4-C94B-EBE3-7FAF772211A2>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting

0x91538000 - 0x91609fe3  [[ColorSyncDeprecated]].dylib ? (?) <1CEB1F35-EF10-A63D-AD9E-D7BD391D4719>

/System/Library/Frameworks/ApplicationServices.framework/Frameworks/ColorSync.framework/Versions/A/Resources/ColorSyncDeprecated.dylib

cated.dylib

0x91684000 - 0x91694ff7  libsasl2.2.dylib ? (?) <C8744EA3-0AB7-CD03-E639-C4F2B910BE5D> /usr/lib/libsasl2.2.dylib

0x917d5000 - 0x917d5ff7  com.apple.CoreServices 44 (44) <AC35D112-5FB9-9C8C-6189-5F5945072375>

/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices

0x917d6000 - 0x917dcff7  libCGXCoreImage.A.dylib ? (?) <5233872A-EAC6-1D42-3959-6CE6C5DEB931>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib

CGXCoreImage.A.dylib

0x917dd000 - 0x917fbff7  com.apple.CoreVideo 1.6.0 (43.1) <1FB01BE0-B013-AE86-A063-481BB547D2F5>

/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo

0x917fc000 - 0x917fdff7  com.apple.TrustEvaluationAgent 1.1 (1) <6C04C4C5-667E-2EBE-EB96-5B67BD4B2185>

/System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent

0x917fe000 - 0x917feff7  com.apple.Cocoa 6.6 (?) <EA27B428-5904-B00B-397A-185588698BCC>
/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa

0x9183f000 - 0x91b5efe7  com.apple.CoreServices.CarbonCore 861.2 (861.2) <A9077470-3786-09F2-E0C7-F082B7F97838>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore

0x91b5f000 - 0x91ba1fe7  libvDSP.dylib ? (?) <8F8FFFB3-81E3-2969-5688-D5B0979182E6>

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib

0x91ba2000 - 0x91bd5ff7  com.apple.AE 496.1 (496.1) <1AC75AE2-AF94-2458-0B94-C3BB0115BA4B>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE

0x91bd6000 - 0x91e38fe7  com.apple.security 6.1.1 (37594) <9AA7D9BF-852F-111F-68AD-65DD760D4DF3>

/System/Library/Frameworks/Security.framework/Versions/A/Security

0x91e39000 - 0x91e99fe7  com.apple.CoreText 3.1.0 (?) <79FD1B5C-2F93-4C5D-B07B-4DD9088E67DE>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText

0x91ef5000 - 0x91febff7  libGLProgrammability.dylib ? (?) <82D03736-D30C-C013-BBB1-20ED9687D47F>

/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib

0x91fec000 - 0x92099fe7  libobjc.A.dylib ? (?) <DF8E4CFA-3719-3415-0BF1-E8C5E561C3B1> /usr/lib/libobjc.A.dylib

0x9209c000 - 0x9210bff7  libvMisc.dylib ? (?) <59243A8C-2B98-3E71-8032-884D4853E79F>

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib

0x9210c000 - 0x92118ff7  libkxld.dylib ? (?) <3D2C5BA3-6A8D-C861-B346-0E19942D9AF1> /usr/lib/system/libkxld.dylib

0x92119000 - 0x92173ff7  com.apple.framework.IOKit 2.0 (?) <1BE07087-27D5-0E62-F06B-007C2BED4073>

/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit

0x92174000 - 0x9221cffb  com.apple.QD 3.33 (?) <196CDBA6-5B87-2767-DD57-082D71B0A5C7>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD

0x92338000 - 0x923dffe7  com.apple.CFNetwork 454.5 (454.5) <A7E78E62-0C59-CE57-73D2-C4E60527781C>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork

0x923e0000 - 0x923eaff7  com.apple.HelpData 2.0.4 (34) <9128FFEB-0F6C-B273-FCF4-D87A20227345>

/System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData

0x92550000 - 0x928b7ff7  com.apple.QuartzCore 1.6.1 (227.8) <8B90AB08-46A4-1C5C-4E71-C6AB652477B9>

/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore

0x928b8000 - 0x928b8ff7  liblangid.dylib ? (?) <B99607FC-5646-32C8-2C16-AFB5EA9097C2> /usr/lib/liblangid.dylib

0x92977000 - 0x929f9ffb  [[SecurityFoundation]] ? (?) <29C27E0E-B2B3-BF6B-B1F8-5783B8B01535>

/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation

0x929fa000 - 0x92ad4ff3  com.apple.DesktopServices 1.5.3 (1.5.3) <DA02AC94-7B0C-BD75-2305-C46A307A5FB0>

/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv

0x92ad5000 - 0x92ad5ff7  com.apple.Accelerate.vecLib 3.5 (vecLib 3.5) <3E039E14-2A15-56CC-0074-EE59F9FBB913>

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib

0x92ad6000 - 0x92b23feb  com.apple.DirectoryService.PasswordServerFramework 6.0 (6.0)

<BF66BA5D-BBC8-78A5-DBE2-F9DE3DD1D775>

/System/Library/PrivateFrameworks/PasswordServer.framework/Versions/A/PasswordServer

0x92c27000 - 0x92d04ff7  com.apple.vImage 4.0 (4.0) <64597E4B-F144-DBB3-F428-0EC3D9A1219E>

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage

0x92d05000 - 0x92d07ff7  libRadiance.dylib ? (?) <462903E2-2E77-FAE5-4ED6-829AAB1980A4>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib

iance.dylib

0x92d08000 - 0x92d3ffe7  libcurl.4.dylib ? (?) <D6299871-E1C9-5238-FE18-0B3C02025376> /usr/lib/libcurl.4.dylib

0x92d43000 - 0x92e0dfef  com.apple.CoreServices.OSServices 352 (352) <D9F21CA4-EED0-705F-8F3C-F1322D114B52>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices

0x92e0e000 - 0x92f02fe7  libiconv.2.dylib ? (?) <0C578460-3929-29DD-585A-DB1E0C977425> /usr/lib/libiconv.2.dylib

0x92f03000 - 0x93085fe7  libicucore.A.dylib ? (?) <2B0182F3-F459-B452-CC34-46FE73ADE348> /usr/lib/libicucore.A.dylib

0x93086000 - 0x93123fe3  com.apple.LaunchServices 362 (362) <8BE1C1A1-BF71-CE07-F3FB-6057D47AF461>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices

0x93124000 - 0x931ddfe7  libsqlite3.dylib ? (?) <16CEF8E8-8C9A-94CD-EF5D-05477844C005> /usr/lib/libsqlite3.dylib

0x932ba000 - 0x93300ff7  libauto.dylib ? (?) <85670A64-3B67-8162-D441-D8E0BE15CA94> /usr/lib/libauto.dylib

0x93301000 - 0x9334afe7  libTIFF.dylib ? (?) <5864AE5B-EAEB-F8B6-18FB-3D27B7895A4C>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
.dylib

0x9334b000 - 0x9344cfe7  libxml2.2.dylib ? (?) <B4C5CD68-405D-0F1B-59CA-5193D463D0EF> /usr/lib/libxml2.2.dylib

0x9344d000 - 0x9346dfe7  libresolv.9.dylib ? (?) <A48921CB-3FA7-3071-AF9C-2D86FB493A3A> /usr/lib/libresolv.9.dylib

0x9346e000 - 0x93478fe7  com.apple.audio.SoundManager 3.9.3 (3.9.3) <5F494955-7290-2D91-DA94-44B590191771>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound

0x93479000 - 0x93486ff7  com.apple.NetFS 3.2.1 (3.2.1) <5E61A00B-FA16-9D99-A064-47BDC5BC9A2B>

/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS

0x93487000 - 0x9348bff7  libGIF.dylib ? (?) <83FB0DCC-355F-A930-E570-0BD95086CC59>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib

dylib

0x9348c000 - 0x9351dfe7  com.apple.print.framework.PrintCore 6.1 (312.3) <6D4322AF-703C-CC19-77B4-53E6D3BB18D4>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore

0x93532000 - 0x93546fe7  libbsm.0.dylib ? (?) <14CB053A-7C47-96DA-E415-0906BA1B78C9> /usr/lib/libbsm.0.dylib

0x93547000 - 0x93550ff7  com.apple.DiskArbitration 2.3 (2.3) <E9C40767-DA6A-6CCB-8B00-2D5706753000>

/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration

0x93551000 - 0x93563ff7  com.apple.MultitouchSupport.framework 204.9 (204.9) <B639F02B-33CC-150C-AE8C-1007EA7648F9>

/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport

0x93564000 - 0x93668fe7  libcrypto.0.9.8.dylib ? (?) <2E58547A-91CC-4C1A-9FCC-DA7515FDB68A> /usr/lib/libcrypto.0.9.8.dylib

0x93669000 - 0x936a0fe7  libssl.0.9.8.dylib ? (?) <95FE66AC-C850-4AB4-DD3F-7F198A5E1EAC> /usr/lib/libssl.0.9.8.dylib

0x936a1000 - 0x9385dfef  com.apple.ImageIO.framework 3.0.1 (3.0.1) <598CF4F9-7542-E1A7-26D2-584933497A2E>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO

0x93b02000 - 0x93b13ff7  com.apple.LangAnalysis 1.6.6 (1.6.6) <7A3862F7-3730-8F6E-A5DE-8E2CCEA979EF>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis

0x93b14000 - 0x93cefff3  libType1Scaler.dylib ? (?) <F9FEA41E-F079-87B8-04A9-7FF3B2931B79>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libType1Scaler.dylib

aler.dylib

0x93cf0000 - 0x93d04ffb  com.apple.speech.synthesis.framework 3.10.35 (3.10.35) <57DD5458-4F24-DA7D-0927-C3321A65D743>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis

ynthesis

0x93d05000 - 0x93d09ff7  IOSurface ? (?) <C11D3FF3-EB51-A07D-EF24-9C2004115724>

/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface

0x93d0a000 - 0x93eaefeb  libSystem.B.dylib ? (?) <D45B91B2-2B4C-AAC0-8096-1FC48B7E9672> /usr/lib/libSystem.B.dylib

0x93eaf000 - 0x93ec7ff7  com.apple.CFOpenDirectory 10.6 (10.6) <1537FB4F-C112-5D12-1E5D-3B1002A4038F>

/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory

ory

0x93f02000 - 0x93f3cffb  libFontRegistry.dylib ? (?) <72342297-E8D6-B071-A752-014134129282>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib

istry.dylib

0x93f96000 - 0x93fb6fe7  com.apple.opencl 12 (12) <2DB56F60-577B-6724-5708-7B082F62CC0F>

/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL

0x952d3000 - 0x952d5ff7  com.apple.securityhi 4.0 (36638) <962C66FB-5BE9-634E-0810-036CB340C059>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI

0x952d6000 - 0x95356feb  com.apple.SearchKit 1.3.0 (1.3.0) <9E18AEA5-F4B4-8BE5-EEA9-818FC4F46FD9>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit

0x95357000 - 0x95379fef  com.apple.DirectoryService.Framework 3.6 (621.1) <3ED4949F-9604-C109-6586-5CE5F421182B>

/System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService

0x9537a000 - 0x953caff7  com.apple.framework.familycontrols 2.0 (2.0) <E6CAB425-3E40-65A3-0C23-150C26E9CBBF>

/System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls

0x953cb000 - 0x953cbff7  com.apple.ApplicationServices 38 (38) <8012B504-3D83-BFBB-DA65-065E061CFE03>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices

0x9547c000 - 0x954bdff7  libRIP.A.dylib ? (?) <9F0ECE75-1F03-60E4-E29C-136A27C13F2E>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib

RIP.A.dylib
0x954be000 - 0x954beff7  com.apple.Accelerate 1.5 (Accelerate 1.5) <F642E7A0-3720-FA19-0190-E6DBD9EF2D9B>

/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate

0x954bf000 - 0x95503ff3  com.apple.coreui 2 (113) <D0FA9B36-3708-D5BF-0CC3-6CC1909BC8E6>

/System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI

0x95504000 - 0x95508ff7  libGFXShared.dylib ? (?) <79F4F60E-0A6D-CE9C-282E-FA85825449E3>

/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib

0x95517000 - 0x9553dfff  com.apple.DictionaryServices 1.1.1 (1.1.1) <02709230-9B37-C743-6E27-3FCFD18211F8>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices

ices

0x9553e000 - 0x95568ff7  com.apple.shortcut 1.1 (1.1) <B0514FA9-7CAE-AD94-93CA-7B2A2C5F7B8A>

/System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut

0x95569000 - 0x9558dff7  libJPEG.dylib ? (?) <649E1974-A527-AC0B-B3F4-B4DC30484070>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib

G.dylib

0x9558e000 - 0x955c6ff7  com.apple.LDAPFramework 2.0 (120.1) <681A0B2E-BCB2-D2BA-3D02-A4989E9C7686>

/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP

0x955c7000 - 0x955ccff7  com.apple.OpenDirectory 10.6 (10.6) <92582807-E8F3-3DD9-EB42-4195CFB754A1>

/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory

0x955cd000 - 0x955d0fe7  libmathCommon.A.dylib ? (?) <1622A54F-1A98-2CBE-B6A4-2122981A500E>

/usr/lib/system/libmathCommon.A.dylib

0x955d1000 - 0x95614ff7  com.apple.NavigationServices 3.5.3 (181) <28CDD978-030E-7D4A-5334-874A8EBE6C29>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices

0x95615000 - 0x9578cfef  com.apple.CoreFoundation 6.6.1 (550.13) <AE9FC6F7-F0B2-DE58-759E-7DB89C021A46>

/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

0x9578d000 - 0x959fdffb  com.apple.Foundation 6.6.1 (751.14) <CD815A50-BB33-5AA1-DD73-A5B07D394DDA>

/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation

0x959fe000 - 0x95a33ff7  libcups.2.dylib ? (?) <AFDC4D3C-0FF4-D459-B26C-4BA1093F9142> /usr/lib/libcups.2.dylib

0x95a34000 - 0x95a35ff7  com.apple.audio.units.AudioUnit 1.6.2 (1.6.2) <845D5E0D-870D-B7E8-AAC5-8364AC341AA1>

/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit

0x95a36000 - 0x95a86fe7  libGLU.dylib ? (?) <659ADCA2-10EC-59BD-1B0A-4928A965F1D1>

/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib

0x95a87000 - 0x95b23fe7  com.apple.ApplicationServices.ATS 4.1 (?) <EA26375D-8276-9671-645D-D28CAEC95292>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS

0x95e1e000 - 0x95f4afeb  com.apple.audio.toolbox.AudioToolbox 1.6.2 (1.6.2) <9AAFDCBE-C68C-3BB3-8089-83CD2C0B4ED7>

/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox

0x95f4b000 - 0x95ffefff  libFontParser.dylib ? (?) <FAD5E96D-CF93-CC86-6B30-A6594B930772>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib

er.dylib

0x95fff000 - 0x96030ff3  libTrueTypeScaler.dylib ? (?) <6C8916A2-8F85-98E0-AAD5-0020C39C0FC9>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib

eScaler.dylib

0x96031000 - 0x9606eff7  com.apple.SystemConfiguration 1.10.1 (1.10.1) <BA676C76-6AAD-F630-626D-B9248535294D>

/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration

0x9606f000 - 0x96392fef  com.apple.HIToolbox 1.6.2 (?) <E02640B9-7BC3-A4B4-6202-9E4127DDFDD6>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox

0x96395000 - 0x96395ff7  com.apple.vecLib 3.5 (vecLib 3.5) <17BEEF92-DF30-CD52-FD65-0B7B43B93617>

/System/Library/Frameworks/vecLib.framework/Versions/A/vecLib

0x963c7000 - 0x96476ff3  com.apple.ColorSync 4.6.2 (4.6.2) <F3F097AC-FDB7-3357-C64F-E28BECF4C15F>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync

0x96477000 - 0x964bbfe7  com.apple.Metadata 10.6.2 (507.4) <DBCBAE7D-7B34-7806-C0B9-1E6E6D45562F>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata

0x966fd000 - 0x96777fef  com.apple.audio.CoreAudio 3.2.2 (3.2.2) <1F97B48A-327B-89CC-7C01-3865179716E0>

/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x96778000 - 0x9677ffff  com.apple.print.framework.Print 6.0 (237) <7A06B15C-B835-096E-7D96-C2FE8F0D21E1>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print

0x96981000 - 0x9698cff7  libCSync.A.dylib ? (?) <9292E6E3-70C1-1DD7-4213-1044F0FA8381>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib

CSync.A.dylib

0x969e4000 - 0x969f1ff7  com.apple.opengl 1.6.5 (1.6.5) <0AE8B897-8A80-2C14-D6FC-DC21AC423234>

/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL

0x969f2000 - 0x969fcffb  com.apple.speech.recognition.framework 3.11.1 (3.11.1) <EC0E69C8-A121-70E8-43CF-E6FC4C7779EC>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition

0x96a28000 - 0x96e5dff7  libLAPACK.dylib ? (?) <5E2D2283-57DE-9A49-1DB0-CD027FEFA6C2>

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib

0x96e5e000 - 0x96e61ff7  libCGXType.A.dylib ? (?) <483FCF1C-066B-D210-7355-ABC48CA9DB2F>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib

CGXType.A.dylib

0x97339000 - 0x97467fe7  com.apple.CoreData 102.1 (250) <F33FF4A1-D7F9-4F6D-3153-E5F2588479EB>

/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData

0x97468000 - 0x9746efff  com.apple.CommonPanels 1.2.4 (91) <2438AF5D-067B-B9FD-1248-2C9987F360BA>

/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels

0x9746f000 - 0x9777ffe3  com.apple.RawCamera.bundle 3.0.0 (514) <B180DD8F-CAB8-2307-C0F9-6D468B2C8E60>

/System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera

0x97780000 - 0x97818fe7  edu.mit.Kerberos 6.5.9 (6.5.9) <73EC847F-FF44-D542-2AD5-97F6C8D48F0B>

/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos

0x97819000 - 0x97883fe7  libstdc+.6.dylib ? (?) <411D87F4-B7E1-44EB-F201-F8B4F9227213> /usr/lib/libstdc++.6.dylib

0x9788b000 - 0x9788bff7  com.apple.Carbon 150 (152) <608A04AB-F35D-D2EB-6629-16B88FB32074>

/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon

0x9788c000 - 0x978c2fff  libtidy.A.dylib ? (?) <DDFAB560-3883-A6A2-7BDD-D91730982B48> /usr/lib/libtidy.A.dylib

0x978c3000 - 0x978c6ff7  libCoreVMClient.dylib ? (?) <A89D7A78-8FB0-2BDF-30DB-A35E04A6186B>

/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib

0x978c7000 - 0x97cddff7  libBLAS.dylib ? (?) <C4FB303A-DB4D-F9E8-181C-129585E59603>

/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib

0x97cde000 - 0x97cf9ff7  libPng.dylib ? (?) <3F8682CD-C05B-607D-96E7-767646C77DB8>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib

dylib

0xba900000 - 0xba916ff7  libJapaneseConverter.dylib ? (?) <4FB5CEEB-8D3E-8C57-1718-81D7CAFBFE69>

/System/Library/CoreServices/Encodings/libJapaneseConverter.dylib

0xbab00000 - 0xbab21fe7  libKoreanConverter.dylib ? (?) <A23F9980-5CC8-A44D-6FD6-DBFCBFF4FF28>

/System/Library/CoreServices/Encodings/libKoreanConverter.dylib

0xffff0000 - 0xffff1fff  libSystem.B.dylib ? (?) <D45B91B2-2B4C-AAC0-8096-1FC48B7E9672> /usr/lib/libSystem.B.dylib

Model: [[MacBookPro]]4,1, [[BootROM]] MBP41.00C1.B03, 2 processors, Intel Core 2 Duo, 2.5 GHz, 4 GB, SMC 1.27f2

Graphics: NVIDIA [[GeForce]] 8600M GT, [[GeForce]] 8600M GT, PCIe, 512 MB

Memory Module: global_name

[[AirPort]]: spairport_wireless_card_type_airport_extreme (0x14E4, 0x8C), Broadcom BCM43xx 1.0 (5.10.91.26)

Bluetooth: Version 2.2.4f3, 2 service, 1 devices, 1 incoming serial ports

Network Service: [[AirPort]], [[AirPort]], en1

Serial ATA Device: Hitachi HTS542525K9SA00, 232,89 GB

Parallel ATA Device: HL-DT-ST DVDRW  GSA-S10N

USB Device: Built-in iSight, 0x05ac  (Apple Inc.), 0x8502, 0xfd400000

USB Device: Apple Internal Keyboard / Trackpad, 0x05ac  (Apple Inc.), 0x0231, 0x5d200000

USB Device: IR Receiver, 0x05ac  (Apple Inc.), 0x8242, 0x5d100000

USB Device: BRCM2046 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0x1a100000

USB Device: Bluetooth USB Host Controller, 0x05ac  (Apple Inc.), 0x820f, 0x1a110000
History

#1 - 2010-03-16 12:58 PM - Jürgen Fischer

Could you describe what is in your project?  Can you pin point which layer is causing the problem?

#2 - 2010-03-16 01:15 PM - fbeyerbach -

i only use wms services in my project.

i think that wms services himself causes the problem.

i often have crashes with qgis when i use wms services.

(not only when i´m saving)

it is a little bit frustrating.

#3 - 2010-03-16 01:21 PM - Giovanni Manghi

are the wms servers public? can you post the urls?

#4 - 2010-03-16 01:31 PM - fbeyerbach -

here some wms servers i use. the data is in germany.

http://www.bgr.de/Service/grundwasser/huek200/

http://osm.wheregroup.com/cgi-bin/osm_basic.xml?REQUEST=GetCapabilities&#38;SERVICE=WMS&#38;VERSION=1.1.1

http://osm.prtr.bund.de/cgi-bin/mapserv?map=/data/umn/osm/osm_s_10k_opt_agg.map&#38;VERSION=1.1.1&#38;REQUEST=GetCapabilities&#38;S

RVICE=WMS

http://www.landesplanung-hessen.de/RegionalplanNordhessen/RegionalplanNordhessen.gcx

http://www.landesplanung-hessen.de/RegionalplanMittelhessen/RegionalplanMittelhessen.gcx

http://www.landesplanung-hessen.de/RegionalplanSuedhessen/RegionalplanSuedhessen.gcx

http://www.landesplanung-hessen.de/Landesentwicklungsplan/Landesentwicklungsplan.gcx

#5 - 2010-03-17 01:59 AM - Giovanni Manghi

Hi,

adding random layers do not cause any crash here.

It would be better if you can create a project with the layers are giving you problems, and attach the project file here, so we can test locally.

Cheers

#6 - 2010-03-23 07:41 AM - Giovanni Manghi

Hi, please leave further feedback.

#7 - 2010-03-23 11:00 AM - fbeyerbach -
http://www.bgr.de/Service/grundwasser/huek200/
http://osm.wheregroup.com/cgi-bin/osm_basic.xml?REQUEST=GetCapabilities&#38;SERVICE=WMS&#38;VERSION=1.1.1
http://osm.prtr.bund.de/cgi-bin/mapserv?map=/data/umn/osm/osm_s_10k_opt_agg.map&#38;VERSION=1.1.1&#38;REQUEST=GetCapabilities&#38;SERVICE=WMS
http://osm.prtr.bund.de/cgi-bin/mapserv?map=/data/umn/osm/osm_s_10k_opt_agg.map&#38;VERSION=1.1.1&#38;REQUEST=GetCapabilities&#38;SERVICE=WMS
http://www.landesplanung-hessen.de/RegionalplanNordhessen/RegionalplanNordhessen.gcx
http://www.landesplanung-hessen.de/RegionalplanMittelhessen/RegionalplanMittelhessen.gcx
http://www.landesplanung-hessen.de/RegionalplanSuedhessen/RegionalplanSuedhessen.gcx
http://www.landesplanung-hessen.de/Landesentwicklungsplan/Landesentwicklungsplan.gcx


sorry, i was for some days in holiday.

know i tried another version from qgis (Qgis(standalone)-1.4.0-4-Snow) on my macbook-pro

and i can´t reproduce the error. if the "bug" will come again i will post it.

thanks for your help.

#8 - 2010-03-23 11:01 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

so closing for now.
